> ## Documentation Index
> Fetch the complete documentation index at: https://developer.sandbox.co.in/llms.txt
> Use this file to discover all available pages before exploring further.

# Track Returns

> List filed GST returns for a return period for an authenticated taxpayer.

#### Response body schema

<Card title="View response body schema" icon="code" href="https://raw.githubusercontent.com/in-co-sandbox/in-co-sandbox-docs/refs/heads/main/data/gst/schema/request/taxpayer/common/track_returns.json" arrow="true" horizontal />


## OpenAPI

````yaml api-reference/gst/compliance/openapi.json GET /gst/compliance/tax-payer/gstrs/{year}/{month}/track
openapi: 3.0.1
info:
  title: compliance
  description: >-
    **GST Compliance API** enables businesses to automate compliance
    requirements like [Taxpayer
    verification](https://developer.sandbox.co.in/reference/search-gstin-api),
    [GSTR
    Filing](https://developer.sandbox.co.in/reference/gst-taxpayer-authentication),
    [Generating
    E-Invoices](https://developer.sandbox.co.in/reference/e-invoice-authentication-api),
    and [E-Way
    Bills](https://developer.sandbox.co.in/reference/e-way-bill-authentication-api).We
    provide these APIs from GSTN-authorised GST Suvidha Providers, handling the
    encryption-decryption and signing so you don't have to handle the
    complexities.
  version: 1.0.0
servers:
  - url: https://api.sandbox.co.in
  - url: https://test-api.sandbox.co.in
security: []
tags:
  - name: Public
  - name: Taxpayer
  - name: Taxpayer Auth
  - name: Returns
  - name: GSTR-1 Documents
  - name: File GSTR-1
  - name: GSTR-2A Documents
  - name: GSTR-2B Document
  - name: File GSTR-3B
  - name: GSTR-4
  - name: File GSTR-9
  - name: Invoice Management System
  - name: GSTR-1A Documents
  - name: File GSTR-1A
  - name: Ledgers
  - name: e-Invoice
  - name: Sales e-Invoices for return period
  - name: Purchase e-Invoices for return period
  - name: Front Office Notices
  - name: Front Office
  - name: AATO
  - name: e-Invoice1
  - name: Authentication
  - name: e-Invoice12
  - name: E-Way Bill
  - name: E-Way Bill1
  - name: Authentication1
  - name: Consignor
  - name: Consolidated E-Way Bill
  - name: Multi-Vehicle Movement
  - name: Consignee
  - name: Transporter
  - name: Consolidated E-Way Bill1
  - name: Multi-vehicle Movement
  - name: Common
paths:
  /gst/compliance/tax-payer/gstrs/{year}/{month}/track:
    get:
      tags:
        - Taxpayer
        - Returns
      summary: Track Returns
      description: >-
        List filed GST returns for a return period for an authenticated
        taxpayer.
      operationId: trackReturns
      parameters:
        - name: year
          in: path
          description: Return period year.
          required: true
          example: '2026'
          schema:
            type: string
            example: '2024'
        - name: month
          in: path
          description: Return period month.
          required: true
          example: '03'
          schema:
            type: string
            example: '05'
        - name: return_type
          in: query
          description: >-
            Optional return type filter. Use repo-style values such as `gstr-1`,
            `gstr-3b`, or `gstr-9`.
          required: false
          example: ''
          schema:
            type: string
            example: gstr-1
        - name: authorization
          in: header
          description: GST taxpayer access token.
          required: true
          example: '{{gsp_access_token}}'
          schema:
            type: string
        - name: x-api-version
          in: header
          description: API version.
          required: false
          example: ''
          schema:
            type: string
            default: 1.0.0
        - name: x-api-key
          in: header
          description: API key for identification.
          required: true
          example: '{{api_key}}'
          schema:
            type: string
      responses:
        '200':
          description: >-
            200 Success. On GST-side business failure, the sandbox wrapper still
            returns 200 with `data.status_cd = "0"` and an `error` object.
          content:
            application/json:
              schema:
                type: object
                properties: {}
              examples:
                success:
                  summary: Success
                  value:
                    code: 200
                    data:
                      data:
                        EFiledlist:
                          - arn: AA010143556585B
                            ret_prd: '022017'
                            mof: ONLINE
                            dof: 08-02-2017
                            rtntype: GSTR2
                            status: Filed
                            valid: 'Y'
                          - arn: AA010143556585B
                            ret_prd: '022017'
                            mof: ONLINE
                            dof: 07-02-2017
                            rtntype: GSTR1
                            status: Filed
                            valid: 'Y'
                          - arn: AA010143556587A
                            ret_prd: '032017'
                            mof: ONLINE
                            dof: 07-03-2017
                            rtntype: GSTR3
                            status: Filed
                            valid: 'N'
                      status_cd: '1'
                    timestamp: 1763446641000
                    transaction_id: 0ca94d55-c0ab-452f-9d28-e0f9509d1df4
                record_not_found:
                  summary: Record Not Found
                  value:
                    code: 200
                    timestamp: 1782371188498
                    data:
                      data: {}
                      status_cd: '1'
                    transaction_id: 9fff47a3-15e0-4cd1-864f-7cf72338498c
          headers: {}
      deprecated: false
      security: []

````